import * as _emotion_weak_memoize from '@emotion/weak-memoize';

declare const useEmotionTheme: (fallback?: object | undefined) => object;
declare const EmotionThemeContextSymbol: Symbol;
declare let createCacheWithTheme: _emotion_weak_memoize.UnaryFn<object, _emotion_weak_memoize.UnaryFn<object, any>>;
declare function EmotionThemeProvider(theme: object | ((Obj: object) => Object)): void;

export { EmotionThemeContextSymbol, EmotionThemeProvider, createCacheWithTheme as createThemeCache, useEmotionTheme };
