import * as vue from 'vue';
import { DefineComponent, Component, SetupContext, VNode } from 'vue';
import { EmotionCache } from '@emotion/utils';

declare const EmotionCacheProvider: (opts: EmotionCache) => void;
declare const EmotionCacheInjectionSymbol: Symbol;
declare const defaultCache: EmotionCache;
declare let __unusafe_useEmotionCache: (fallback?: EmotionCache | undefined) => EmotionCache;
declare let withEmotionCache: (fn: (cache: EmotionCache) => DefineComponent<{}, {}, {}, vue.ComputedOptions, vue.MethodOptions, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{}>>, {}> | Component<any, any, any, vue.ComputedOptions, vue.MethodOptions> | ((props?: unknown, ctx?: SetupContext<vue.EmitsOptions> | undefined) => VNode)) => (p: unknown) => DefineComponent<{}, {}, {}, vue.ComputedOptions, vue.MethodOptions, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{}>>, {}> | Component<any, any, any, vue.ComputedOptions, vue.MethodOptions> | ((props?: unknown, ctx?: SetupContext<vue.EmitsOptions> | undefined) => VNode);

export { EmotionCacheInjectionSymbol, EmotionCacheProvider, __unusafe_useEmotionCache, defaultCache, withEmotionCache };
